Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTTranslationUnit

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IASTDeclarationListOwner`, `IASTNode`, `IASTTranslationUnit`, `IFileNomination`

    public interface ICPPASTTranslationUnit
    extends IASTTranslationUnit

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTTranslationUnit

`IASTTranslationUnit.IDependencyTree`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTTranslationUnit

`EXPANSION_NAME, MACRO_EXPANSION, OWNED_DECLARATION, PREPROCESSOR_STATEMENT, SCANNER_PROBLEM`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ICPPASTTranslationUnit` `copy()` Returns a copy of the AST, however the ILocationResolver and the preprocessor nodes are not copied.
`ICPPASTTranslationUnit` `copy​(IASTNode.CopyStyle style)` Returns a copy of the AST, however the ILocationResolver and the preprocessor nodes are not copied.
`ICPPNamespace` `getGlobalNamespace()` Returns the global namespace of the translation unit.
`IBinding` `resolveBinding()` Deprecated. Use `getGlobalNamespace()`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclarationListOwner

`getDeclarations`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTTranslationUnit

`addDeclaration, flattenLocationsToFile, freeze, getAllPreprocessorStatements, getASTFileSet, getASTNodeFactory, getBuiltinMacroDefinitions, getComments, getContainingFilename, getDeclarations, getDeclarations, getDeclarationsInAST, getDefinitions, getDefinitionsInAST, getDefinitionsInAST, getDependencyTree, getFilePath, getIncludeDirectives, getIndex, getIndexFileSet, getLinkage, getMacroDefinitions, getMacroExpansions, getNodeSelector, getOriginatingTranslationUnit, getParserLanguage, getPreprocessorProblems, getPreprocessorProblemsCount, getReferences, getScope, hasNodesOmitted, isBasedOnIncompleteIndex, isHeaderUnit, selectNodeForLocation, setHasNodesOmitted, setIndex, setIsHeaderUnit, setPragmaOnceSemantics, setSignificantMacros`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IFileNomination

`getSignificantMacros, hasPragmaOnceSemantics`

### Method Detail

#### getGlobalNamespace

    ICPPNamespace getGlobalNamespace()

Returns the global namespace of the translation unit.

Since:
  5.11

#### resolveBinding

    @Deprecated
    IBinding resolveBinding()

Deprecated.
Use `getGlobalNamespace()`

Restriction:
  This method is not intended to be referenced by clients.

#### copy

    ICPPASTTranslationUnit copy()

Description copied from interface: `IASTTranslationUnit`
Returns a copy of the AST, however the ILocationResolver and the preprocessor nodes are not copied.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTTranslationUnit`
Since:
  5.1
See Also:
  `IASTNode.copy()`

#### copy

    ICPPASTTranslationUnit copy​(IASTNode.CopyStyle style)

Description copied from interface: `IASTTranslationUnit`
Returns a copy of the AST, however the ILocationResolver and the preprocessor nodes are not copied.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTTranslationUnit`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3
See Also:
  `IASTNode.copy()`